/* photo2html - build photo albums online                  
   Requires photo2html_table and photo2html_orig for direction in page
   building and the use of mogrify, part of the ImageMagick suite of
   programs for building thumbnail images in the execution directory.
   This code is copyright © Robert G Moonen (robertmoonen0@gmail.com) 
   2009 and is licensed for use under the terms of GPL V3.
*/ 


#!/bin/bash
echo "<html><head></head><body>"
# echo "<h2 align=\"center\">\"Taken with a Hanimex Instamatic\"</h2>"
# echo "<h2 align=\"center\">\"Taken with a Canon E50\"</h2>"
echo "<h2 align=\"center\">\"Taken with Nikon CoolPix-2500\"</h2>"
echo "<center>"
if [ -n "$1" ]
then
  echo "$1<br><br>"
fi
# Start a table
echo "<table>"
COLUMN=0
for file in *.jpg
do
  # Do we need to start a row?
  if [ 0$COLUMN -eq 0 ]
  then
    echo "<tr>"
  fi
  # Start a table cell
  echo "<td>"
  echo "<img src=$file></img>"
  echo "<br><a href=\"/Nikon/cdrom/nikon/`basename 
$PWD`/$file\">$file</a>"
  # End the table cell
  echo "</td>"
  COLUMN=`expr $COLUMN + 1`
  # If we have 4 columns, end the row
  if [ 0$COLUMN -eq 4 ]
  then
    echo "</tr>"
    COLUMN=0
  fi
done
# Once we end the loop, make sure we close the row
if [ 0$COLUMN -ne 0 ]
then
   echo "</tr>"
fi
echo "</table>"
echo "</body></html>"

