/* photo2html - build photo albums online
   Requires photo2html_table and photo2html_orig for direction in page
   building and the use of mogrify, part of the ImageMagick suite of
   programs for building thumbnail images in the execution directory.
   This code is copyright © Robert G Moonen (robertmoonen0@gmail.com) 
   2009 and is licensed for use under the terms of GPL V3.
*/


#!/bin/bash
base="/var/lib/apache/htdocs/www/photos"
comment="Random pictures - Sept 17, 2002"
echo "Please enter a comment: default=\"$comment\""
read comment
if [ -z "$comment" ]
then
  comment="Random pictures - Sept 17, 2002"
fi
echo "T(ables) or O(riginal): default is T(ables)"
read format
if [ -z "$format" ]
then
  format="T"
  case $format in
  "t"    ) $base/photo2html/photo2html_table.sh "$comment" > 
index.html;;
  "T"    ) $base/photo2html/photo2html_table.sh "$comment" > 
index.html;;
  "o"    ) $base/photo2html/photo2html_orig.sh "$comment" > index.html;;
  "O"    ) $base/photo2html/photo2html_orig.sh "$comment" > index.html;;
  *    ) echo "usage: t or T(ables), o or O(riginal)";;
  esac
else
  case $format in
  "t"    ) $base/photo2html/photo2html_table.sh "$comment" > 
index.html;;
  "T"    ) $base/photo2html/photo2html_table.sh "$comment" > 
index.html;;
  "o"    ) $base/photo2html/photo2html_orig.sh "$comment" > index.html;;
  "O"    ) $base/photo2html/photo2html_orig.sh "$comment" > index.html;;
  *    ) echo "usage: t or T(ables), o or O(riginal)";;
  esac
fi
echo "finished processing" 

